Method: projects.locations.autoProtectionPolicies.patch

Updates the parameters of a single AutoProtectionPolicy.

HTTP request


PATCH https://backupdr.googleapis.com/v1beta/{autoProtectionPolicy.name=projects/*/locations/*/autoProtectionPolicies/*}

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
autoProtectionPolicy.name

string

Identifier. The resource name of the AutoprotectionPolicy. Format: projects/{project}/locations/{location}/autoProtectionPolicies/{autoProtectionPolicy}

Query parameters

Parameters
updateMask

string (FieldMask format)

Required. Field mask is used to specify the fields to be overwritten in the AutoProtectionPolicy resource by the update. The fields specified in the updateMask are relative to the resource, not the full request. A field will be overwritten if it is in the mask. If the user does not provide a mask then all fields will be overwritten.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

Request body

The request body contains an instance of AutoProtectionPolicy.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/cloud-backupdr

For more information, see the Authentication Overview.